Package org.apache.lucene.util

## Class FileDeleter.RefCount

- java.lang.Object
- - org.apache.lucene.util.FileDeleter.RefCount

- Enclosing class:
    FileDeleter

      public static final class FileDeleter.RefCount
      extends Object

  Tracks the reference count for a single index file:

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `decRef()` |
    `int` | `incRef()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### incRef

          public int incRef()

    - #### decRef

          public int decRef()